commit 433a2653bd3f3241be4f0855174c01a04547b59f
Author: freddy77 <freddy77>
Date:   Tue Sep 9 14:48:02 2008 +0000

    allow to override PWD file path using TDSPWDFILE environment

diff --git a/ChangeLog b/ChangeLog
index 2905009..3fc6720 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Tue Sep 09 16:41:08 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/unittests/common.c src/dblib/unittests/common.c:
+	* src/odbc/unittests/common.c src/tds/unittests/common.c:
+	- allow to override PWD file path using TDSPWDFILE environment
+
 Mon Sep 08 21:21:57 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/utf8.c: test with small column sizes
 	* src/tds/query.c: fix column size preparing
@@ -615,4 +620,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2601 2008/09/08 19:22:44 freddy77 Exp $
+$Id: ChangeLog,v 1.2602 2008/09/09 14:48:02 freddy77 Exp $
diff --git a/src/ctlib/unittests/common.c b/src/ctlib/unittests/common.c
index 6e19774..2b917e2 100644
--- a/src/ctlib/unittests/common.c
+++ b/src/ctlib/unittests/common.c
@@ -24,7 +24,7 @@
 #include "common.h"
 #include "ctlib.h"
 
-static char software_version[] = "$Id: common.c,v 1.19 2008/08/27 07:28:46 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.20 2008/09/09 14:48:03 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 char USER[512];
@@ -71,7 +71,7 @@ tds_dirname(char* path)
 CS_RETCODE
 read_login_info(void)
 {
-	FILE *in;
+	FILE *in = NULL;
 	char line[512];
 	char *s1, *s2;
 	
@@ -83,7 +83,11 @@ read_login_info(void)
 		return CS_SUCCEED;
 	}
 
-	in = fopen(PWD, "r");
+	s1 = getenv("TDSPWDFILE");
+	if (s1 && s1[0])
+		in = fopen(s1, "r");
+	if (!in)
+		in = fopen(PWD, "r");
 	if (!in) {
 		fprintf(stderr, "Can not open PWD file \"%s\"\n\n", PWD);
 		return CS_FAIL;
diff --git a/src/dblib/unittests/common.c b/src/dblib/unittests/common.c
index 74c3d7c..37961a0 100644
--- a/src/dblib/unittests/common.c
+++ b/src/dblib/unittests/common.c
@@ -16,7 +16,7 @@
 #include "replacements.h"
 #endif
 
-static char software_version[] = "$Id: common.c,v 1.23 2007/11/30 08:55:13 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.24 2008/09/09 14:48:03 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 typedef struct _tag_memcheck_t
@@ -90,7 +90,7 @@ read_login_info(int argc, char **argv)
 	extern char *optarg;
 	extern int optind;
 	
-	FILE *in;
+	FILE *in = NULL;
 #if !defined(__MINGW32__) && !defined(_MSC_VER)
 	int ch;
 #endif
@@ -140,8 +140,12 @@ read_login_info(int argc, char **argv)
 	}
 #endif
 	strcpy(filename, PWD);
-	
-	in = fopen(filename, "r");
+
+	s1 = getenv("TDSPWDFILE");
+	if (s1 && s1[0])
+		in = fopen(s1, "r");
+	if (!in)
+		in = fopen(filename, "r");
 	if (!in)
 		in = fopen("PWD", "r");
 	if (!in) {
diff --git a/src/odbc/unittests/common.c b/src/odbc/unittests/common.c
index 4d65095..82215d5 100644
--- a/src/odbc/unittests/common.c
+++ b/src/odbc/unittests/common.c
@@ -12,7 +12,7 @@
 #define TDS_SDIR_SEPARATOR "\\"
 #endif
 
-static char software_version[] = "$Id: common.c,v 1.45 2008/05/22 03:53:17 jklowden Exp $";
+static char software_version[] = "$Id: common.c,v 1.46 2008/09/09 14:48:04 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 HENV Environment;
@@ -63,7 +63,7 @@ int
 read_login_info(void)
 {
 	static const char *PWD = "../../../PWD";
-	FILE *in;
+	FILE *in = NULL;
 	char line[512];
 	char *s1, *s2;
 #ifndef WIN32
@@ -71,11 +71,11 @@ read_login_info(void)
 	int len;
 #endif
 
-#if 0
-	in = fopen(".." TDS_SDIR_SEPARATOR ".." TDS_SDIR_SEPARATOR ".." TDS_SDIR_SEPARATOR "PWD", "r");
-#else
-	in = fopen(PWD, "r");
-#endif
+	s1 = getenv("TDSPWDFILE");
+	if (s1 && s1[0])
+		in = fopen(s1, "r");
+	if (!in)
+		in = fopen(PWD, "r");
 	if (!in)
 		in = fopen("PWD", "r");
 
diff --git a/src/tds/unittests/common.c b/src/tds/unittests/common.c
index 99dcafc..fc9d2b0 100644
--- a/src/tds/unittests/common.c
+++ b/src/tds/unittests/common.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: common.c,v 1.26 2005/04/15 20:30:18 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.27 2008/09/09 14:48:04 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 char USER[512];
@@ -15,11 +15,15 @@ int read_login_info(void);
 int
 read_login_info(void)
 {
-	FILE *in;
+	FILE *in = NULL;
 	char line[512];
 	char *s1, *s2;
 
-	in = fopen("../../../PWD", "r");
+	s1 = getenv("TDSPWDFILE");
+	if (s1 && s1[0])
+		in = fopen(s1, "r");
+	if (!in)
+		in = fopen("../../../PWD", "r");
 	if (!in) {
 		fprintf(stderr, "Can not open PWD file\n\n");
 		return TDS_FAIL;

